Name:           perl-Class-C3-Componentised
Version:        1.0003
Release:        1%{?dist}
Summary:        Load mix-ins or components to your C3-based class 
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-C3-Componentised/
Source0:        http://www.cpan.org/authors/id/A/AS/ASH/Class-C3-Componentised-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(Test::More)
# cpan
BuildRequires: perl(Class::C3)
BuildRequires: perl(Class::Inspector)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)


%description
This will inject base classes to your module using the Class::C3 method 
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider 
MooseX::Object::Pluggable.


%prep
%setup -q -n Class-C3-Componentised-%{version}

perl -pi -e 's|^#!perl|#!/usr/bin/perl|' t/*.t

# Filter unwanted Requires:
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(base)/d'
EOF

%define __perl_requires %{_builddir}/Class-C3-Componentised-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> 1.0003-1
- update to 1.0003

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0001-5
- rebuild for new perl

* Thu Dec 06 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-4
- bump

* Wed Dec 05 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-3
- filter perl(base).  I knew there was a reason I did that...

* Tue Dec 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-2
- drop errant requires filtering...

* Tue Sep 18 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0001-1
- Specfile autogenerated by cpanspec 1.71.
